Bug 165094 - [css-grid] Move more attributes from RenderGrid to the new Grid class
Summary: [css-grid] Move more attributes from RenderGrid to the new Grid class
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sergio Villar Senin
URL:
Keywords:
Depends on:
Blocks: 165007
  Show dependency treegraph
 
Reported: 2016-11-28 10:18 PST by Sergio Villar Senin
Modified: 2016-12-01 03:05 PST (History)
10 users (show)

See Also:


Attachments
Patch (39.67 KB, patch)
2016-11-28 10:25 PST, Sergio Villar Senin
darin: review+
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews125 for ios-simulator-wk2 (9.44 MB, application/zip)
2016-11-28 13:10 PST, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sergio Villar Senin 2016-11-28 10:18:09 PST
[css-grid] Move more attributes from RenderGrid to the new Grid class
Comment 1 Sergio Villar Senin 2016-11-28 10:25:00 PST
Created attachment 295494 [details]
Patch
Comment 2 Build Bot 2016-11-28 13:10:21 PST
Comment on attachment 295494 [details]
Patch

Attachment 295494 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/2584378

New failing tests:
intersection-observer/intersection-observer-entry-interface.html
Comment 3 Build Bot 2016-11-28 13:10:24 PST
Created attachment 295520 [details]
Archive of layout-test-results from ews125 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews125  Port: ios-simulator-wk2  Platform: Mac OS X 10.11.6
Comment 4 Sergio Villar Senin 2016-11-30 08:28:01 PST
Ping reviewers. I know I've uploaded it quite recently but it's blocking some other patches so it'd be awesome to have it reviewed ASAP.
Comment 5 Darin Adler 2016-11-30 19:23:13 PST
Comment on attachment 295494 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=295494&action=review

> Source/WebCore/rendering/RenderGrid.cpp:110
> +    m_autoRepeatColumns =  autoRepeatColumns;

Extra space here after the "=".

> Source/WebCore/rendering/RenderGrid.cpp:433
> +    , m_grid(this)

Why does m_grid take a pointer rather than a reference?

> Source/WebCore/rendering/RenderGrid.h:199
> +        Grid(RenderGrid* grid)
> +            : m_orderIterator(*grid) { }

This should take a RenderGrid&, since it dereferences the pointer on the next line. Also, the formatting here isn’t really our standard. I think we’d want this all on one line.
Comment 6 Sergio Villar Senin 2016-12-01 01:29:18 PST
Comment on attachment 295494 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=295494&action=review

>> Source/WebCore/rendering/RenderGrid.cpp:433
>> +    , m_grid(this)
> 
> Why does m_grid take a pointer rather than a reference?

No special reason. I'll switch to a reference.

>> Source/WebCore/rendering/RenderGrid.h:199
>> +            : m_orderIterator(*grid) { }
> 
> This should take a RenderGrid&, since it dereferences the pointer on the next line. Also, the formatting here isn’t really our standard. I think we’d want this all on one line.

Right, I'll change that before landing.
Comment 7 Sergio Villar Senin 2016-12-01 03:05:50 PST
Committed r209180: <http://trac.webkit.org/changeset/209180>